md5_file
metaphone
String Functions
PHP Manual

# md5

(PHP 4, PHP 5, PECL hash:1.1-1.3)

md5 — Calculate the md5 hash of a string

### Description

string md5 ( string `$str` [, bool `$raw_output` ] )

Calculates the MD5 hash of `str` using the » RSA Data Security, Inc. MD5 Message-Digest Algorithm, and returns that hash.

### Parameters

`str`

  The string.

`raw_output`

  If the optional `raw_output` is set to `TRUE`, then the md5 digest is instead returned in raw binary format with a length of 16. Defaults to `FALSE`.

### Return Values

Returns the hash as a 32-character hexadecimal number.

### ChangeLog

Version | Description
--- | ---
5.0.0 | The `raw_output` parameter was added.

### Examples

Example #1 A md5() example

`<?php
$str = 'apple';
if (md5($str) === '1f3870be274f6c49b3e31a0c6728957f') {
echo "Would you like a green or red apple?";
exit;
}
?>`

### See Also

- sha1_file()
- crc32()
- sha1()

md5_file
metaphone
String Functions
PHP Manual